config/routes.rb
Rails.application.routes.draw do
  get 'transactions/top_up'
  post 'transactions/do_top_up'
  get 'transactions/peer_transfer'
  post 'transactions/do_peer_transfer'
  get 'transactions/team_share'
  post 'transactions/do_team_share'
  get 'transactions/stock_invest'
  post 'transactions/do_stock_invest'
  get 'transactions/withdraw_team_share'
  post 'transactions/do_withdraw_team_share'
  get 'transactions/withdraw_stock_invest'
  post 'transactions/do_withdraw_stock_invest'
  get "wallet/show"

  resources :wallet
  resources :stocks
  resources :teams
  resources :users
  root 'users#index'
end

app/views/base/_footer.html.erb
  <footer class="main-footer">
    <!-- To the right -->
    <div class="float-right d-none d-sm-inline">
      Anything you want
    </div>
    <!-- Default to the left -->
    <strong>Copyright &copy; 2014-2021 <a href="https://adminlte.io">AdminLTE.io</a>.</strong> All rights reserved.
  </footer>

app/views/base/_header.html.erb
  <nav class="main-header navbar navbar-expand navbar-white navbar-light">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <%= link_to "Users", users_path, class: "nav-link" %>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <%= link_to "Teams", teams_path, class: "nav-link" %>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <%= link_to "Stocks", stocks_path, class: "nav-link" %>
      </li>
    </ul>
  </nav>

app/views/base/_sidebar.html.erb
  <aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="<%= root_path %>" class="brand-link">
      <span class="brand-text font-weight-light">Wallet</span>
    </a>

    <!-- Sidebar -->
    <div class="sidebar">
      <!-- Sidebar Menu -->
      <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
          <li class="nav-item menu-open">
            <a href="#" class="nav-link active">
              <i class="nav-icon fas fa-money-check-alt"></i>
              <p>
                Transactions
                <i class="right fas fa-angle-left"></i>
              </p>
            </a>
            
            <ul class="nav nav-treeview">
              <li class="nav-item">
                <%= link_to(transactions_top_up_path, class: current_page?(transactions_top_up_path) ? "nav-link active" : "nav-link") do %>
                  <i class="fas fa-angle-double-right nav-icon"></i>
                  <p>Wallet Top-Up</p>
                <% end %>
              </li>
              <li class="nav-item">
                <%= link_to(transactions_peer_transfer_path, class: current_page?(transactions_peer_transfer_path) ? "nav-link active" : "nav-link") do %>
                  <i class="fas fa-angle-double-right nav-icon"></i>
                  <p>Peer Transfer</p>
                <% end %>
              </li>
              <li class="nav-item">
                <%= link_to(transactions_team_share_path, class: current_page?(transactions_team_share_path) ? "nav-link active" : "nav-link") do %>
                  <i class="fas fa-angle-double-right nav-icon"></i>
                  <p>Join Team Share</p>
                <% end %>
              </li>
              <li class="nav-item">
                <%= link_to(transactions_withdraw_team_share_path, class: current_page?(transactions_withdraw_team_share_path) ? "nav-link active" : "nav-link") do %>
                  <i class="fas fa-angle-double-right nav-icon"></i>
                  <p>Withdraw from Team</p>
                <% end %>
              </li>
              <li class="nav-item">
                <%= link_to(transactions_stock_invest_path, class: current_page?(transactions_stock_invest_path) ? "nav-link active" : "nav-link") do %>
                  <i class="fas fa-angle-double-right nav-icon"></i>
                  <p>Invest on Stock</p>
                <% end %>
              </li>
              <li class="nav-item">
                <%= link_to(transactions_withdraw_stock_invest_path, class: current_page?(transactions_withdraw_stock_invest_path) ? "nav-link active" : "nav-link") do %>
                  <i class="fas fa-angle-double-right nav-icon"></i>
                  <p>Withdraw from Stock</p>
                <% end %>
              </li>
            </ul>
          </li>
        </ul>
      </nav>
      <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
  </aside>